### ExtractIlluminaBarcodes

USAGE: ExtractIlluminaBarcodes [options]

Determine the barcode for each read in an Illumina lane.

For each tile, a file is written to the basecalls directory of the form s_<lane>_<tile>_barcode.txt.An output file contains a line for each read in the tile, aligned with the regular basecall output

The output file contains the following tab-separated columns:

* read subsequence at barcode position

* Y or N indicating if there was a barcode match

* matched barcode sequence

Note that the order of specification of barcodes can cause arbitrary differences in output for poorly matching barcodes.

Option | Description
--- | ---
BUSTARD_DIR=File | Deprecated option; use BASECALLS_DIR Required. Cannot be used in conjuction with option(s) BASECALLS_DIR (B)
BASECALLS_DIR=File | The Illumina basecalls output directory. Required. Cannot be used in conjuction with option(s) BUSTARD_DIR
OUTPUT_DIR=File | Where to write _barcode.txt files. By default, these are written to BASECALLS_DIR. Default value: null.
LANE=Integer | Lane number. Required.
BARCODE_CYCLE=Integer | 1-based cycle number of the start of the barcode. Required.
BARCODE=String | Barcode sequence. These must be unique, and all the same length. This option may be specified 0 or more times. Cannot be used in conjuction with option(s) BARCODE_FILE
BARCODE_FILE=File | Tab-delimited file of barcode sequences, and optionally barcode name and library name. Barcodes must be unique, and all the same length. Column headers must be 'barcode_sequence', 'barcode_name', and 'library_name'. Required. Cannot be used in conjuction with option(s) BARCODE
METRICS_FILE=File | Per-barcode and per-lane metrics written to this file. Required.
MAX_MISMATCHES=Integer | Maximum mismatches for a barcode to be considered a match. Default value: 1. This option can be set to 'null' to clear the default value.
MIN_MISMATCH_DELTA=Integer | Minimum difference between number of mismatches in the best and second best barcodes for a barcode to be considered a match. Default value: 1. This option can be set to 'null' to clear the default value.
MAX_NO_CALLS=Integer | Maximum allowable number of no-calls in a barcode read before it is considered unmatchable. Default value: 2. This option can be set to 'null' to clear the default value.
COMPRESS_OUTPUTS=Boolean | Compress output s_l_t_barcode.txt files using gzip and append a .gz extension to the filenames. Default value: false. This option can be set to 'null' to clear the default value. Possible values: {true, false}